
describe('Login API Testing', () => {
    it('POST - Validate login and response structure', () => {
        cy.request({
            method: 'POST',
            url: 'https://dummyjson.com/auth/login',
            headers: { 'Content-Type': 'application/json' },
            body: {
                username: 'kminchelle',
                password: '0lelplR',
                // expiresInMins: 60, // optional, include if needed
            }
        })
        .then((response) => {
            // Validate the response status code is 200 OK
            expect(response.status).to.eq(200);

            // Validate that the response has an 'username' property
            expect(response.body).to.have.property('username');

            // Validate that the response has an 'email' property
            expect(response.body).to.have.property('email');

            // Validate that the response has a 'token' property
            expect(response.body).to.have.property('token');
        });
    });
});

describe('getProducts', () => {
    // Making a GET request
    it('GET - Validate the response of the API', () => {
        cy.request('https://dummyjson.com/products/1')
            .then((response) => {
                // Validate that the response code should be 200
                expect(response.status).to.eq(200);

                // Assuming the second test is to check the presence of 'id' in the response body
                // Validate that the response has an 'id' property
                expect(response.body).to.have.property('id');

                // Validate that the response has a 'title' property
                expect(response.body).to.have.property('title');

                // Validate that the response has an 'images' property
                expect(response.body).to.have.property('images');
            });
    });
});


describe('GET Carts API', () => {
    it('GET - Validate response structure and status code', () => {
        cy.request('https://dummyjson.com/carts')
            .then((response) => {
                // Validate that the response code should be 200
                expect(response.status).to.eq(200);

                // Validate that the response body has a 'total' property
                expect(response.body).to.have.property('total');

                // Validate that the response body has a 'limit' property
                expect(response.body).to.have.property('limit');
            });
    });
});

