describe('Login API Testing', () => {
    it('PUT - Update Ingredient Data validate structure and status code', () => {
      cy.request({
        method: 'PUT',
        url: 'http://127.0.0.1:8000/ingredient/update',
        headers: { 'Content-Type': 'application/json' },
        body: {
          "name": "avocado",
          "id": "fdcf7b9a75b21ff5"
          // expiresInMins: 60, // optional, include if needed
        },
      }).then((response) => {
        expect(response.status).to.eq(200);
        expect(response.body).to.have.property('name');
        expect(response.body).to.have.property('id');
      });
    });
  
    it('GET - Recipe list validate status code', () => {
      cy.request('GET', 'http://127.0.0.1:8000/recipe/list').then((response) => {
        expect(response.status).to.eq(200);
      });
    });
  
    it('POST - Validate response structure and status code', () => {
      cy.request({
        method: 'POST',
        url: 'http://127.0.0.1:8000/recipe/create',
        headers: { 'Content-Type': 'application/json' },
        body: {
          "name": "az",
          "description": "az",
          "categoryIdList": ["f9e264c6149c7e43"],
          "ingredientList": [{"id": "67f6b85d20a965a9", "amount": 1, "unit": "kg"}],
          "imageId": "CreateRecipeMockup.png",
          "method": "Handmade"
        },
      }).then((response) => {
        expect(response.status).to.eq(200);
        expect(response.body).to.have.property('name');
        expect(response.body).to.have.property('id');
        expect(response.body).to.have.property('categoryIdList');
        expect(response.body).to.have.property('ingredientList');
        expect(response.body).to.have.property('imageId');
      });
    });
  });
  