describe('Visit PEF CZU Website', () => {
  it('Successfully loads PEF CZU home page', () => {
    // Ignore uncaught exceptions
    cy.on('uncaught:exception', (err, runnable) => {
      // return false to prevent the error from failing this test
      if (err.message.includes('gtag is not defined')) {
        return false;
      }
    });

    cy.visit('https://www.pef.czu.cz/');
    cy.get('#nav > ul > :nth-child(2) > a', { timeout: 1000 }).click();
    cy.get('#nav > [role="menubar"] > li.active > ul > :nth-child(5) > a').click();
    cy.get('[aria-labelledby="widget-3913-item-8485"] > article > .tileInner > .tile__data').click();
    cy.get('#widget-283-heading').should('have.text', 'Parkování v areálu ČZU');
  });
});


describe('Buy CZU Book', () => {
    it('Successfully loads EShop CZU home page', () => {
      cy.on('uncaught:exception', (err, runnable) => {
        // return false to prevent the error from failing this test
        if (err.message.includes('lastPrice is not defined') || err.message.includes('gtag is not defined')) {
          return false;
        }
      });
      cy.visit('https://eshop.czu.cz/');
      //clicks on a button
      cy.get('.codeblock > .category-products > .products-grid > .first > .product-image > img').click();
      cy.get('.add-to-cart > .button > :nth-child(1) > span').click();
      cy.get('.success-msg > ul > li > span').should('have.text','Teorie účetnictví - příklady, 362 byl úspěšně přidán do košíku.')
      cy.get('.top-link-cart').click();
      cy.get('.totals > .checkout-types > li > .button > :nth-child(1) > span').click();
      cy.get('.col-1 > .form-list > :nth-child(1) > label').click();
      cy.get('#onepage-guest-register-button > :nth-child(1) > span').click();
      //fills the form
      cy.get('#billing\\:firstname').type("Testovácí");
      cy.get('#billing\\:lastname').type("Uživatel");
      cy.get('#billing\\:email').type("someone@example.com");
      cy.get('#billing\\:street1').type("Nějaká adresa 1");
      cy.get('#billing\\:city').type("Praha");
      cy.get('#billing\\:postcode').type("12000");
      cy.get('#billing\\:telephone').type("666666666");
      
      cy.get('#billing-buttons-container > .button > :nth-child(1) > span').click();
     
    
      cy.get('#s_method_flatrate_flatrate').click();
      cy.get('#shipping-method-buttons-container > .button > :nth-child(1) > span').click();
      cy.get('#payment-buttons-container > .button > :nth-child(1) > span').click();
      cy.wait(1000);
      //checks if the added item exist in a summary
      cy.get('.product-name').should('have.text','Teorie účetnictví - příklady, 362');

    });
  });

  describe('Look through PEF pictures', () => {
    it('Successfully loads PEF CZU home page', () => {
      // Ignore uncaught exceptions
      cy.on('uncaught:exception', (err, runnable) => {
        // return false to prevent the error from failing this test
        if (err.message.includes('gtag is not defined')) {
          return false;
        }
      });
  
      cy.visit('https://www.pef.czu.cz/');
      cy.get('#nav > ul > :nth-child(6) > a').click();
      cy.get(':nth-child(1) > a > .lazy').click();
      cy.wait(2000);
      cy.get('.lb-next').click();
      cy.wait(2000);
      cy.get('.lb-next').click();
      cy.wait(2000);
      cy.get('.lb-next').click();
      cy.wait(2000);
    });
  });
 