
describe('Login API Testing', () => {
    it('POST - Validate login and response structure', () => {
        cy.request({
            method: 'POST',
            url: 'https://dummyjson.com/auth/login',
            headers: { 'Content-Type': 'application/json' },
            body: {
                username: 'kminchelle',
                password: '0lelplR',
                // expiresInMins: 60, // optional, include if needed
            }
        })
        .then((response) => {
            // Validate the response status code is 200 OK
            expect(response.status).to.eq(200);

            // Validate that the response has an 'usrname' property
            expect(response.body).to.have.property('usrname');

            // Validate that the response has an 'e-mail' property
            expect(response.body).to.have.property('e-mail');

            // Validate that the response has a 'token' property
            expect(response.body).to.have.property('token');
        });
    });
});
