describe('Visit PEF CZU Website', () => {
  it('Successfully loads PEF CZU home page', () => {
    // Ignore uncaught exceptions
    cy.on('uncaught:exception', (err, runnable) => {
      // return false to prevent the error from failing this test
      if (err.message.includes('gtag is not defined')) {
        return false;
      }
    });

    cy.visit('https://www.pef.czu.cz/');
    cy.get('#nav > ul > :nth-child(2) > a', { timeout: 1000 }).click();
    cy.get('#nav > [role="menubar"] > li.active > ul > :nth-child(5) > a').click();
    cy.get('[aria-labelledby="widget-3913-item-8485"] > article > .tileInner > .tile__data').click();
    cy.get('#widget-283-heading').should('have.text', 'Prkování v areálu ČZU');
  });
});

describe('Find dekan info on PEF CZU Website', () => {
  it('Successfully loads PEF CZU home page', () => {
    // Ignore uncaught exceptions
    cy.on('uncaught:exception', (err, runnable) => {
      // return false to prevent the error from failing this test
      if (err.message.includes('gtag is not defined')) {
        return false;
      }
    });

    cy.visit('https://www.pef.czu.cz/');
    cy.get('[role="menubar"] > :nth-child(6) > a').click();
    cy.get(':nth-child(15) > :nth-child(3) > a').click();
  });
});