const { test, expect } = require('@playwright/test');

test.describe('Login API Testing', () => {
  test('POST - Validate login and response structure', async ({ request }) => {
    const response = await request.post('https://dummyjson.com/auth/login', {
      headers: { 'Content-Type': 'application/json' },
      data: {
        username: 'kminchelle',
        password: '0lelplR',
        // expiresInMins: 60, // optional, include if needed
      },
    });

    // Validate the response status code is 400 OK
    expect(response.status()).toBe(400);

    // Parse the response body
    const responseBody = await response.json();

    // Validate that the response has an 'usrname' property
    expect(responseBody).toHaveProperty('usrname');

    // Validate that the response has an 'e-mail' property
    expect(responseBody).toHaveProperty('e-mail');

    // Validate that the response has a 'token' property
    expect(responseBody).toHaveProperty('token');
  });
});
Error: expect(received).toHaveProperty(path)

