const { test, expect } = require('@playwright/test');

test.describe('Visit PEF CZU Website', () => {
  test('Visit PEF CZU Website and checkparking', async ({ page }) => {
    // Visit the PEF CZU home page
    page.goto('https://www.pef.czu.cz/', {waitUntil: 'networkidle'});

    // Click on the second item in the navigation menu
    await page.waitForSelector('#nav > ul > :nth-child(2) > a', { state: 'visible', timeout: 5000 });
    await page.click('#nav > ul > :nth-child(2) > a');
    // Click on the fifth item under a specific role in the navigation menu
    await page.click('#nav > [role="menubar"] > li.active > ul > :nth-child(5) > a');

    // Click on an element specified by its aria-labelledby attribute
    await page.waitForSelector('[aria-labelledby="widget-3913-item-8485"] > article > .tileInner > .tile__data');
    await page.click('[aria-labelledby="widget-3913-item-8485"] > article > .tileInner > .tile__data');

    // Check if an element with a specific ID has the expected text
    await expect(page.locator('#widget-283-heading')).toHaveText('Prkování v areálu ČZU');
  },{ timeout: 60000 });
});

test.describe('Find dekan info on PEF CZU Website', () => {
  test('Successfully loads PEF CZU home page', async ({ page }) => {
    await page.goto('https://www.pef.czu.cz/');

    page.on('pageerror', error => {
      if (error.message.includes('gtag is not defined')) {
   
      }
    });

    await page.click('[role="menubar"] > :nth-child(6) > a');
    await page.click(':nth-child(15) > :nth-child(3) > a');
  });
});